summaryrefslogtreecommitdiff
path: root/config/binary_local-hooks
diff options
context:
space:
mode:
authorAndreas Loibl <andreas@andreas-loibl.de>2012-03-01 14:30:15 +0100
committerAndreas Loibl <andreas@andreas-loibl.de>2012-03-01 14:30:15 +0100
commitf40a33d0da0c3a3e58f27c02b0959b1d43bb25d1 (patch)
tree82473aecb978eb94b04c10605a2a2e3c3ca0940c /config/binary_local-hooks
parent344dc1493807c22fb3bda6a059facf5c328d8b79 (diff)
downloadkanotix-f40a33d0da0c3a3e58f27c02b0959b1d43bb25d1.zip
kanotix-f40a33d0da0c3a3e58f27c02b0959b1d43bb25d1.tar.gz
included live-build patches into local tree to make it build with unpatched live-build
Diffstat (limited to 'config/binary_local-hooks')
-rwxr-xr-xconfig/binary_local-hooks/grub2-configs17
-rwxr-xr-xconfig/binary_local-hooks/isohybrid-acritox18
2 files changed, 35 insertions, 0 deletions
diff --git a/config/binary_local-hooks/grub2-configs b/config/binary_local-hooks/grub2-configs
new file mode 100755
index 0000000..7cd30ef
--- /dev/null
+++ b/config/binary_local-hooks/grub2-configs
@@ -0,0 +1,17 @@
+#!/bin/sh
+# Copying local grub2 configuration files
+
+case "$LB_BOOTLOADER" in
+grub2|burg)
+ ;;
+*)
+ exit 0
+ ;;
+esac
+
+if [ -f config/binary_grub/grub.cfg ]
+then
+ mkdir -p binary/boot/grub
+ cp config/binary_grub/grub*.cfg binary/boot/grub/
+fi
+
diff --git a/config/binary_local-hooks/isohybrid-acritox b/config/binary_local-hooks/isohybrid-acritox
new file mode 100755
index 0000000..e7c2931
--- /dev/null
+++ b/config/binary_local-hooks/isohybrid-acritox
@@ -0,0 +1,18 @@
+#!/bin/bash
+# generate binary/boot.isohybrid for isohybrid-acritox
+
+[ "${LB_BINARY_IMAGES}" = "iso-hybrid" ] || exit 0
+
+case "$LB_BOOTLOADER" in
+grub2|burg)
+ ;;
+*)
+ exit 0
+ ;;
+esac
+
+chroot chroot grub-mkimage -d /usr/lib/grub/i386-pc -o "/boot.isohybrid" -O i386-pc biosdisk iso9660
+for i in $(seq 64); do echo -n "ACRITOX!"; done > binary/boot.isohybrid
+cat chroot/boot.isohybrid >> binary/boot.isohybrid
+rm -f chroot/boot.isohybrid
+